﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("record_staff_commute"), TenantAttribute("mes")]
    [DataContract(Name = "RecordStaffCommute 员工上下班记录")]
    public class RecordStaffCommute
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true, IsIdentity = true)]
        public int ObjId { get; set; }

        /// <summary>
        /// 员工id
        /// </summary>
        [SugarColumn(ColumnName = "staff_id")]
        public string StaffId { get; set; }

        /// <summary>
        /// 班组编号
        /// </summary>
        [SugarColumn(ColumnName = "team_code")]
        public string TeamCode { get; set; }

        /// <summary>
        /// 班次
        /// </summary>
        [SugarColumn(ColumnName = "classes")]
        public string Classes { get; set; }

        /// <summary>
        /// 上班打卡时间
        /// </summary>
        [SugarColumn(ColumnName = "start_work_time")]
        public string StartWorkTime { get; set; }

        /// <summary>
        /// 下班打卡时间
        /// </summary>
        [SugarColumn(ColumnName = "end_work_time")]
        public string EndWorkTime { get; set; }

        /// <summary>
        /// 在班时长率
        /// </summary>
        [SugarColumn(ColumnName = "clocking_ratio")]
        public decimal ClockingRatio { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }

        /// <summary>
        /// 是否标识
        /// </summary>
        [SugarColumn(ColumnName = "is_flag")]
        public string IsFlag { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public string CreateTime { get; set; }


        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public string UpdateTime { get; set; }

        /// <summary>
        /// 机台编号
        /// </summary>
        [SugarColumn(ColumnName = "machine_code")]
        public string MachineCode { get; set; }
    }
}
