﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface IRecordStaffAttendanceService : IBaseService<RecordStaffAttendance>
    {
        /// <summary>
        /// 获取记录员工打卡信息
        /// </summary>
        /// <returns></returns>
        List<RecordStaffAttendance> GetRecordStaffAttendances();

        /// <summary>
        /// 根据员工id查询
        /// </summary>
        /// <param name="staffId"></param>
        /// <returns></returns>
        RecordStaffAttendance GetRecordStaffAttendanceByStaffId(string staffId);

        /// <summary>
        /// 验证添加员工打卡记录
        /// </summary>
        /// <param name="recordStaffAttendances"></param>
        /// <returns></returns>
        bool InsertRecordStaffAttendance(List<RecordStaffAttendance> recordStaffAttendances);

        /// <summary>
        /// 获取最后的上班记录
        /// </summary>
        /// <returns></returns>
        RecordStaffAttendance GetLastestOnRecord();

        /// <summary>
        /// 获取最后的下班记录
        /// </summary>
        /// <returns></returns>
        RecordStaffAttendance GetLastestOffRecord();
    }
}
